/* *************************************************************************
* Copyright (c) 1999, Steve Smithies                                       *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
#ifndef _INTERSECT_H_
#define _INTERSECT_H_
typedef struct TWO_D_T Position_2D;
typedef struct THREE_D_T Position_3D;
int LineIntersectTest(Position_2D A,
		      Position_2D B,
		      Position_2D C,
		      Position_2D D);

typedef double Coordinate_Value;

struct TWO_D_T {
  Coordinate_Value x;
  Coordinate_Value y;
};

struct THREE_D_T {
  Coordinate_Value x;
  Coordinate_Value y;
  Coordinate_Value z;
};

#endif
